export const YYYYMMDDHHmmss = "YYYY-MM-DD HH:mm:ss";
export const PLATFORM = "WEB";

if (!localStorage.getItem("deviceId")) {
  localStorage.setItem("deviceId", Math.random() + "-" + Date.now());
}
export const DEVICE_ID = localStorage.getItem("deviceId");

export const INVIGILATOR_IMPORT_TEMPLATE_DOWNLOAD_URL =
  "http://qmth-test.oss-cn-shenzhen.aliyuncs.com/file/考场监考老师导入.xlsx";
export const EXAM_STUDENT_IMPORT_TEMPLATE_DOWNLOAD_URL =
  "http://qmth-test.oss-cn-shenzhen.aliyuncs.com/file/考生导入_在线考试.xlsx";

// 交卷方式
export const STUDENT_FINISH_EXAM_TYPE = {
  MANUAL: "手动收卷",
  AUTO: "正常交卷",
  BREACH: "强制收卷",
  INTERRUPT: "系统清卷",
};
// 是 / 否
export const BOOLEAN_TYPE = {
  0: "否",
  1: "是",
};
// 考生在线状态
export const STUDENT_ONLINE_STATUS = {
  FIRST_PREPARE: "待考",
  EXAMING: "考试中",
  BREAK_OFF: "异常",
};
// 推流通讯
export const STUDENT_EXAM_STATUS = {
  FIRST_PREPARE: "首次候考",
  ANSWERING: "正在答题",
  BREAK_OFF: "",
  RESUME_PREPARE: "",
  FINISHED: "",
  PERSISTED: "",
};
// 违纪、缺考
export const STUDENT_BEHAVIOR_STATUS = {
  0: "正常",
  1: "违纪",
  2: "缺考",
};
// 违规类型
export const BREACH_REASON_TYPE = {
  0: "夹带抄袭",
  1: "左顾右盼",
  2: "考中携带违规物品",
  3: "他人替考",
  4: "他人协助作答",
  5: "考中使用违规（远程协助、直播等）软件",
  6: "其他",
};
// 违规撤销原因
export const BREACH_REPEAL_TYPE = {
  0: "软件误操作",
  1: "违规事实不符",
  2: "其他",
};
// 审阅状态
export const APPROVE_STATUS = {
  0: "未审阅",
  1: "已审阅",
};
// 重考方式
export const REEXAM_TYPE = {
  0: "批次内",
  1: "换批次",
};
// 重考原因
export const REEXAM_REASON = {
  EXCEPTION_TIME_OUT: "异常处理时效过期",
  BREAK_TIME_OUT: "断点续考次数用完",
  INVIGILATE_MISS: "监考人员误操作",
};
// 通讯状态
export const CLIENT_WEBSOCKET_STATUS = {
  ON_LINE: 1,
  OFF_LINE: 0,
};
// 推流通讯
export const MONITOR_STATUS_SOURCE = {
  INIT: 1,
  STOP: 0,
  START: 1,
  FINISH: 0,
};

export const IMPORT_EXPORT_TASKS = [
  { code: "CALCULATE_EXAM_SCORE", name: "考试重新算分" },
  { code: "IMPORT_EXAM_STUDENT", name: "导入考生" },
  { code: "IMPORT_EXAM_PAPER", name: "导入试卷" },
  { code: "IMPORT_INVIGILATE_USER", name: "导入监考员" },
  { code: "EXPORT_INVIGILATE_USER", name: "导出监考员" },
];

let domain;
if (process.env.VUE_APP_SELF_DEFINE_DOMAIN === "true") {
  domain = window.localStorage.getItem("domain_in_url");
}
if (!domain) domain = window.location.hostname.split(".")[0];
export const ORG_CODE = domain;
